
Redmine - Defect #1066

Per-author commits statistics graph does not like long names
Status: Closed Start date: 2008-04-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.30 hour

Target version: 0.8   

Resolution: Fixed Affected version:  

Description

I'm monitoring a Mercurial repository with RedMine. In mercurial project, author "name" is usually made of :

Joe Doe <joe.doe@domain.com>

With long names and long domains, it can easily reach 40 characters overall. In such a situation, there is no space left for

per-author commits statistic graph to be printed, so it gets totally unreadable.

Naive proposals to solve this problem :

Truncate name to 10 characters ... ? (I do not think this is a good idea)

Process first the list of authors, and assign a unique number to each of them (1, 2, 3...). Simply putting authors names in an

array will give each of them its UID. Then print this UID on the left of the graph, in place of the name, and print a legend below

with ( UID , real name ) pairs. (I like this one better)

Associated revisions

Revision 1357 - 2008-04-24 20:35 - Jean-Philippe Lang

Commits per author graph: remove email adress in usernames (#1066).

History

#1 - 2008-04-16 19:45 - Jean-Philippe Lang

And what about displaying Joe Doe only (without the email address) ?

#2 - 2008-04-17 09:46 - Paul Rivier

And what about displaying Joe Doe only (without the email address) ?

 It would, for sure, be an improvement over current behavior. You can assume that anything matching "<.+@.+\.+>" can be removed.

But it is half a solution, because I work with some people using their full (very long) name, dot separated, as the login. One of them, for example, has

a 23-chars long name. Could we assume that any retained solution must render properly up to 30-chars long names ?

Thx

#3 - 2008-06-29 13:14 - Jean-Philippe Lang

- Category set to SCM

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

SVG graphs are now 800px large (r1601). This should fix this problem.
